{% extends 'web/articles_base.html' %}
{% load static %}
{% load el_pagination_tags %}
{% load thumbnail %}

{% block articles_page_content %}
    {% paginate 10 articles %}
    {% for article in articles %}
    <div class="article-block">
        <div class="wrap clearfix">
            <div class="img-block">
                <div class="description">
                    <a class="background-overlay" href="{{ article.get_absolute_url }}"></a>
                    <a class="btn-wrap" href="{{ article.category.get_absolute_url }}">
                        <button class="btn btn__transparent-gold" >
                            {{ article.category.title }}
                        </button>
                    </a>
                </div>
                {% thumbnail article.cover '350x400' as im %}
                <a href="{{ article.get_absolute_url }}"><img src="{{ im.url }}" alt="{{ article.title }}"></a>
                {% endthumbnail %}
            </div>
            <div class="article-info">
                <div class="date">{{ article.created|date:'d F Y' }}</div>
                <a class="article-title" href="{{ article.get_absolute_url }}">{{ article.title }}</a>
                <div class="article-text">{{ article.snippet|safe }}</div>
                <a href="{{ article.get_absolute_url }}" class="more">Читайте
                    <span class="icon-right">
                        <svg version="1.1" id="Слой_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5.4 3.5" style="enable-background:new 0 0 5.4 3.5;" xml:space="preserve">
                            <style type="text/css">
                                .st0 {
                                    fill-rule: evenodd;
                                    clip-rule: evenodd;
                                }
                            </style>
                            <path class="st0" d="M2.5,0.1L0.1,2.7C0,2.9,0,3.2,0.1,3.3c0.2,0.2,0.4,0.2,0.5,0L2.7,1l2.1,2.3c0.1,0.2,0.4,0.2,0.5,0  c0.2-0.2,0.2-0.4,0-0.6L3,0.1C2.9,0,2.8,0,2.7,0c0,0,0,0,0,0c0,0,0,0,0,0C2.6,0,2.5,0,2.5,0.1z"/>
                        </svg>
                    </span>
                </a>
            </div>
        </div>
    </div>
    {% endfor %}
    {% get_pages as pages %}
    {% include 'web/partials/pagination.html' with pages=pages%}
{% endblock %}